SKB_GSO_NETWORK_SEGL(9)

NAME
skb_gso_network_seglen - Return length of individual segments of a gso packet

SYNOPSIS

unsigned int skb_gso_network_seglen(const struct sk_buff * skb);

ARGUMENTS

skb
    GSO skb

DESCRIPTION

skb_gso_network_seglen is used to determine the real size of the individual segments, including Layer3 (IP, IPv6) and L4 headers (TCP/UDP).

The MAC/L2 header is not accounted for.

COPYRIGHT